#include "eyebot.h"

#include "imageglobal.h"
#include "sensors.h"


/***********************************************************************/
/** Say whether player is goalkeeper.
 */
/***********************************************************************/

int I_am_goalie()
{
  return FALSE;
}


int main(void)
{
  /** picture to work on */
  colimage img;
  /** picture for LCD-output */
  image greyimg;

  int key = 0; /* no key */
  int psdon = FALSE;  /* off */

  Init_Cam();			/* init camera */
  LCDMenu("SET", "PON", "", "OK");

  do {
    key = KEYRead();

    switch(key)
    {
    case KEY1:
	set_cam_parameters();
	break;

    case KEY2:
	if (psdon)
	{
	  Stop_PSD();
	  psdon = FALSE;
	  LCDMenuI(2,"PON");
	  Init_Cam();
	}
	else
	{
	  Init_PSD();
	  psdon = TRUE;
	  LCDMenuI(2, "POFF");
	}
	break;

    default:
	CAMGetColFrame(&img, FALSE); 
	IPColor2Grey(&img, &greyimg);
	LCDPutGraphic(&greyimg);  
	break;
    }

  } while (key!=KEY4);
return 0;
}
    



